# List Campaign Registrations Lists all campaign registrations per project. Endpoint: GET /v1/projects/{projectId}/campaignRegistrations Version: 1.0 Security: BasicAuth, OAuth2 ## Path parameters: - `projectId` (string, required) Sinch uses projects to group resources such as contacts and apps together to manage and connect a unique set of keys and secret IDs for all your Sinch API products. To identify a project, it is given a unique alphanumeric identifier that ties it to your account. Your project ID can be found in the Customer Dashboard. ## Query parameters: - `status` (array) The campaign status on which to filter. Enum: "SINCH_REVIEW", "SINCH_APPROVED", "SINCH_REJECTED", "SUBMITTED", "APPROVED", "ACTIVE", "EXPIRED", "REJECTED", "SUBMISSION_FAILED" - `mock` (boolean) - `useCase` (string) The desired Use Case. - `brand` (string) - `pageSize` (integer) - `pageToken` (string) - `orderBy` (string) ## Response 200 fields (application/json): - `campaignRegistrations` (array) - `campaignRegistrations.campaignId` (string) Campaign ID returned by external partner. i.e. TCR Campaign Id - `campaignRegistrations.campaignName` (string) Optional name to help track and view campaign. - `campaignRegistrations.campaignRegistrationId` (string) Campaign Registration Id returned by the Create Campaign API - `campaignRegistrations.createDate` (string) Campaign Creation Date - `campaignRegistrations.modifiedDate` (string) Campaign Modified Date - `campaignRegistrations.createdBy` (string) Represents who Created this Campaign - `campaignRegistrations.modifiedBy` (string) Represents who was the Last to Modify this Campaign - `campaignRegistrations.autoRenewal` (boolean) Campaign subscription auto-renewal status. - `campaignRegistrations.billedDate` (string) Campaign recent billed date. - `campaignRegistrations.brandId` (string) Alphanumeric identifier of the brand associated with this campaign. - `campaignRegistrations.vertical` (string) Business/industry segment of this campaign. Must be of defined valid types. - `campaignRegistrations.useCase` (string) Campaign useCase. - `campaignRegistrations.subUseCases` (array) Campaign sub use-cases. - `campaignRegistrations.description` (string) Summary description of this campaign. - `campaignRegistrations.embeddedLink` (boolean) Does message generated by the campaign include URL link in SMS? - `campaignRegistrations.embeddedPhone` (boolean) Does message generated by the campaign include phone number in SMS? - `campaignRegistrations.affiliateMarketing` (boolean) Does message content controlled by affiliate marketing other than the brand? - `campaignRegistrations.numberPool` (boolean) Indicates whether this campaign has been approved and configured as a numberpool campaign - `campaignRegistrations.ageGated` (boolean) Age gated content in campaign. - `campaignRegistrations.directLending` (boolean) is direct lending. - `campaignRegistrations.subscriberOptIn` (boolean) Does campaign require subscriber to opt-in before SMS is sent to subscriber? - `campaignRegistrations.subscriberOptOut` (boolean) Does campaign support subscriber opt-out keyword(s)? - `campaignRegistrations.subscriberHelp` (boolean) Does campaign responds to help keyword(s)? - `campaignRegistrations.sample1` (string) Message sample. Some campaign tiers require 1 or more message samples. - `campaignRegistrations.sample2` (string) Message sample. Some campaign tiers require 2 or more message samples. - `campaignRegistrations.sample3` (string) Message sample. Some campaign tiers require 3 or more message samples. - `campaignRegistrations.sample4` (string) Message sample. Some campaign tiers require 4 or more message samples. - `campaignRegistrations.stopMessage` (string) Message that will be returned if a subscriber opts out of the campaign. - `campaignRegistrations.optInMessage` (string) Message that will be returned when a subscriber opts into a campaign. - `campaignRegistrations.helpMessage` (string) Help message of the campaign. - `campaignRegistrations.monthlyFee` (number) Monthly Fee - `campaignRegistrations.setupFee` (number) Initial Setup Fee - `campaignRegistrations.status` (string) Campaign Status. Enum: "SINCH_REVIEW", "SINCH_APPROVED", "SINCH_REJECTED", "SUBMITTED", "APPROVED", "ACTIVE", "EXPIRED", "REJECTED", "SUBMISSION_FAILED" - `campaignRegistrations.mnoMetadata` (object) - `campaignRegistrations.mock` (boolean) Defines if campaign mocked or real one - `campaignRegistrations.lastActionStatus` (string) Last Action Status. Enum: "CREATE_IN_PROGRESS", "CREATE_SUCCESSFUL", "CREATE_FAILED", "DELETE_IN_PROGRESS", "DELETE_SUCCESSFUL", "DELETE_FAILED", "RESUBMIT_IN_PROGRESS", "RESUBMIT_SUCCESSFUL", "RESUBMIT_FAILED" - `campaignRegistrations.optinKeywords` (string) Subscriber opt-in keywords. Must be upper-case alphanumeric comma(,) separated keywords without space. - `campaignRegistrations.optoutKeywords` (string) Subscriber opt-out keywords. Default value is 'STOP'. Must be upper-case alphanumeric comma(,) separated keywords without space. - `campaignRegistrations.helpKeywords` (string) Subscriber help keywords. Default value is 'HELP'. Must be upper-case alphanumeric comma(,) separated keywords without space. - `campaignRegistrations.messageFlow` (string) Message flow description. - `campaignRegistrations.nextRenewalOrExpirationDate` (string) When the campaign would be due for its next renew/bill date. - `nextPageToken` (string) - `totalSize` (integer) ## Response 400 fields (application/json): - `error` (object, required) - `error.code` (integer, required) The error code. Example: 400 - `error.message` (string, required) The error message. Example: "Invalid argument." - `error.status` (string) The status of the error. Example: "INVALID_ARGUMENT" - `error.details` (array) An array of objects describing the error in more detail, if applicable. - `error.details.type` (string) A more specific description of the error. Example: "BadRequest" - `error.details.resourceType` (string) The type of resource relevant to the error, if applicable. - `error.details.resourceName` (string) The name of the resource, if applicable. - `error.details.owner` (string) The owner of the resource, if applicable. - `error.details.description` (string) A description of the error, if applicable. - `error.details.fieldViolations` (array) An array of all the field violations which contributed to the error. - `error.details.fieldViolations.field` (string) The field which produced the error. Example: "order_by" - `error.details.fieldViolations.description` (string) The description of the error. Example: "Invalid `order_by` number." ## Response 429 fields (application/json): - `error` (object, required) - `error.code` (integer, required) The error code. Example: 400 - `error.message` (string, required) The error message. Example: "Invalid argument." - `error.status` (string) The status of the error. Example: "INVALID_ARGUMENT" - `error.details` (array) An array of objects describing the error in more detail, if applicable. - `error.details.type` (string) A more specific description of the error. Example: "BadRequest" - `error.details.resourceType` (string) The type of resource relevant to the error, if applicable. - `error.details.resourceName` (string) The name of the resource, if applicable. - `error.details.owner` (string) The owner of the resource, if applicable. - `error.details.description` (string) A description of the error, if applicable. - `error.details.fieldViolations` (array) An array of all the field violations which contributed to the error. - `error.details.fieldViolations.field` (string) The field which produced the error. Example: "order_by" - `error.details.fieldViolations.description` (string) The description of the error. Example: "Invalid `order_by` number." ## Response 500 fields (application/json): - `error` (object, required) - `error.code` (integer, required) The error code. Example: 400 - `error.message` (string, required) The error message. Example: "Invalid argument." - `error.status` (string) The status of the error. Example: "INVALID_ARGUMENT" - `error.details` (array) An array of objects describing the error in more detail, if applicable. - `error.details.type` (string) A more specific description of the error. Example: "BadRequest" - `error.details.resourceType` (string) The type of resource relevant to the error, if applicable. - `error.details.resourceName` (string) The name of the resource, if applicable. - `error.details.owner` (string) The owner of the resource, if applicable. - `error.details.description` (string) A description of the error, if applicable. - `error.details.fieldViolations` (array) An array of all the field violations which contributed to the error. - `error.details.fieldViolations.field` (string) The field which produced the error. Example: "order_by" - `error.details.fieldViolations.description` (string) The description of the error. Example: "Invalid `order_by` number."